Delete a Discover session Generally available; added in 9.6.0

DELETE /api/discover_sessions/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/discover_sessions/{id}

Refer to Spaces for more information.

Permanently deletes a Discover session by ID.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The Discover session ID, as returned by the create or search endpoints.

Responses

  • 204

    Deleted

  • 403

    Forbidden

  • 404

    Not found

  • 500

    Internal server error

DELETE /api/discover_sessions/{id}
curl -X DELETE "${KIBANA_URL}/api/discover_sessions/web-log-requests" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "elastic-api-version: 2023-10-31" \
  -H "kbn-xsrf: true"
DELETE kbn:/api/discover_sessions/web-log-requests